---
version: "3"
networks:
  service:
    internal: false
  proxy:
    external: true
  oauth2-proxy:
    internal: true

services:
  rps-admin-interface:
    image: {{rps_admin_interface_container_image}}:{{rps_admin_interface_container_version}}
    restart: unless-stopped
    logging:
      options:
        max-size: 5m
    env_file: env
    volumes:
    - ./templates:/opt/rps-admin-tools/rps_mail_sender/templates/emails/override
    networks:
      - service
{% if rps_admin_interface_with_watchtower %}
    labels:
      - "com.centurylinklabs.watchtower.enable=true"  
{% endif %}    
  oauth2-proxy-admin:
    image: quay.io/oauth2-proxy/oauth2-proxy:v7.4.0
    restart: unless-stopped
    logging:
      options:
        max-size: 5m
    networks:
      - proxy
      - service
      - oauth2-proxy
    env_file: oauth2-proxy.env
  oauth2-proxy-redis:
    image: redis:6.2-alpine
    restart: always
    logging:
      options:
        max-size: 5m
    networks:
      - oauth2-proxy
    ports:
      - '6379:6379'
    command: redis-server --save 20 1 --loglevel warning --requirepass {{rps_admin_interface_oauth2_proxy_redis_pass}}
